Index: libcfa/prelude/defines.hfa.in
===================================================================
--- libcfa/prelude/defines.hfa.in	(revision 954821dfb6a6fb62cc7299463705ef58ac28911e)
+++ libcfa/prelude/defines.hfa.in	(revision 0c30ecc5ea7a75e702bd47070432649f203cad0d)
@@ -14,49 +14,179 @@
 //
 
+//-----------------------------------------------------------------------
+// Global Support
+/* Defined if io_uring support is present when compiling libcfathread. */
 #undef CFA_HAVE_LINUX_IO_URING_H
 
+//-----------------------------------------------------------------------
+// Operations
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_NOP. */
 #undef CFA_HAVE_IORING_OP_NOP
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_READV. */
 #undef CFA_HAVE_IORING_OP_READV
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_WRITEV. */
 #undef CFA_HAVE_IORING_OP_WRITEV
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_FSYNC. */
 #undef CFA_HAVE_IORING_OP_FSYNC
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_READ_FIXED. */
 #undef CFA_HAVE_IORING_OP_READ_FIXED
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_WRITE_FIXED. */
 #undef CFA_HAVE_IORING_OP_WRITE_FIXED
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_POLL_ADD. */
 #undef CFA_HAVE_IORING_OP_POLL_ADD
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_POLL_REMOVE. */
 #undef CFA_HAVE_IORING_OP_POLL_REMOVE
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_SYNC_FILE_RANGE. */
 #undef CFA_HAVE_IORING_OP_SYNC_FILE_RANGE
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_SENDMSG. */
 #undef CFA_HAVE_IORING_OP_SENDMSG
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_RECVMSG. */
 #undef CFA_HAVE_IORING_OP_RECVMSG
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_TIMEOUT. */
 #undef CFA_HAVE_IORING_OP_TIMEOUT
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_TIMEOUT_REMOVE. */
 #undef CFA_HAVE_IORING_OP_TIMEOUT_REMOVE
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_ACCEPT. */
 #undef CFA_HAVE_IORING_OP_ACCEPT
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_ASYNC_CANCEL. */
 #undef CFA_HAVE_IORING_OP_ASYNC_CANCEL
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_LINK_TIMEOUT. */
 #undef CFA_HAVE_IORING_OP_LINK_TIMEOUT
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_CONNECT. */
 #undef CFA_HAVE_IORING_OP_CONNECT
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_FALLOCATE. */
 #undef CFA_HAVE_IORING_OP_FALLOCATE
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_OPENAT. */
 #undef CFA_HAVE_IORING_OP_OPENAT
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_CLOSE. */
 #undef CFA_HAVE_IORING_OP_CLOSE
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_FILES_UPDATE. */
 #undef CFA_HAVE_IORING_OP_FILES_UPDATE
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_STATX. */
 #undef CFA_HAVE_IORING_OP_STATX
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_READ. */
 #undef CFA_HAVE_IORING_OP_READ
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_WRITE. */
 #undef CFA_HAVE_IORING_OP_WRITE
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_FADVISE. */
 #undef CFA_HAVE_IORING_OP_FADVISE
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_MADVISE. */
 #undef CFA_HAVE_IORING_OP_MADVISE
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_SEND. */
 #undef CFA_HAVE_IORING_OP_SEND
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_RECV. */
 #undef CFA_HAVE_IORING_OP_RECV
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_OPENAT2. */
 #undef CFA_HAVE_IORING_OP_OPENAT2
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_EPOLL_CTL. */
 #undef CFA_HAVE_IORING_OP_EPOLL_CTL
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_SPLICE. */
 #undef CFA_HAVE_IORING_OP_SPLICE
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_PROVIDE_BUFFERS. */
 #undef CFA_HAVE_IORING_OP_PROVIDE_BUFFERS
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the operation IORING_OP_REMOVE_BUFFER. */
 #undef CFA_HAVE_IORING_OP_REMOVE_BUFFER
 
+//-----------------------------------------------------------------------
+// Flags
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the flag FIXED_FILE. */
 #undef CFA_HAVE_IOSQE_FIXED_FILE
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the flag IO_DRAIN. */
 #undef CFA_HAVE_IOSQE_IO_DRAIN
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the flag ASYNC. */
 #undef CFA_HAVE_IOSQE_ASYNC
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the flag IO_LINK. */
 #undef CFA_HAVE_IOSQE_IO_LINK
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the flag IO_HARDLINK. */
 #undef CFA_HAVE_IOSQE_IO_HARDLINK
+
+/* Defined if io_uring support is present when compiling libcfathread and
+   supports the flag SPLICE_F_FD_IN_FIXED. */
 #undef CFA_HAVE_SPLICE_F_FD_IN_FIXED
 
+//-----------------------------------------------------------------------
+// Other calls
+/* Define to 1 if you have the `preadv2' function. */
 #undef HAVE_PREADV2
+
+/* Define to 1 if you have the `pwritev2' function. */
 #undef HAVE_PWRITEV2
 
+//-----------------------------------------------------------------------
+// Statistics
+/* Defined if libcfathread was compiled without support for statistics. */
 #undef __CFA_NO_STATISTICS__
